license_plate_api_sweden
====================

Ett Dart-paket for att leta upp tekniska detaljer om fordon som ar registrerade i sverige av sin registreringsskylt

`license_plate_api_sweden` ger ett enkelt satt att hitta bilinformation fran en registreringsskylt (registreringsnummer)
av en bil registrerad i sverige

Detta kraver ett anvandarnamn och losenord, som ar tillgangligt gratis fran http://se.registreringsnummerapi.com/

## English

A Dart package for looking up technical details on vehicles registered in sweden by their license plate

`license_plate_api_sweden` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in sweden

This requires a username and password, which is available for free from http://se.registreringsnummerapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_sweden/license_plate_api_sweden.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://se.registreringsnummerapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://se.registreringsnummerapi.com/

